<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'facility',

    /*
     * Modules.
     */
    'modules'   => ['facility'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'facility'       => [
        'model'                 => 'Assetdocs\Facility\Models\Facility',
        'table'                 => 'facilities',
        'presenter'             => \Assetdocs\Facility\Repositories\Presenter\FacilityItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'id',  'name',  'division_id',  'clientid',  'image',  'created_at',  ')',  'updated_at',  'deleted_at',  'PRIMARY'],
        'translatables'         => ['id',  'name',  'division_id',  'clientid',  'image',  'created_at',  ')',  'updated_at',  'deleted_at',  'PRIMARY'],
        'upload_folder'         => 'facility/facility',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

    ],
];
