<?php

namespace Assetdocs\Facility;

use User;

class Facility
{
    /**
     * $facility object.
     */
    protected $facility;

    /**
     * Constructor.
     */
    public function __construct(\Assetdocs\Facility\Interfaces\FacilityRepositoryInterface $facility)
    {
        $this->facility = $facility;
    }

    /**
     * Returns count of facility.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.facility.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->facility->pushCriteria(new \Litepie\Assetdocs\Repositories\Criteria\FacilityUserCriteria());
        }

        $facility = $this->facility->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('facility::' . $view, compact('facility'))->render();
    }
}
