<?php

namespace Assetdocs\Facility\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Assetdocs\Facility\Interfaces\FacilityRepositoryInterface;

class FacilityPublicController extends BaseController
{
    // use FacilityWorkflow;

    /**
     * Constructor.
     *
     * @param type \Assetdocs\Facility\Interfaces\FacilityRepositoryInterface $facility
     *
     * @return type
     */
    public function __construct(FacilityRepositoryInterface $facility)
    {
        $this->repository = $facility;
        parent::__construct();
    }

    /**
     * Show facility's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $facilities = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('facility::public.facility.index', compact('facilities'))->render();
    }

    /**
     * Show facility.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $facility = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('facility::public.facility.show', compact('facility'))->render();
    }

}
